Subject: bug#21798: 25.0.50; [PATCH] Add support for retrieving paths to JSON elements

From: Dmitry Gutov <[email-masked]>
Date: Sat, 31 Oct 2015 16:23:35 +0200

On 10/31/2015 10:46 AM, Simen Heggestøyl wrote:

> The proposed patch extends json.el with the ability to retrieve the
> path to a particular JSON element.
>
> See the following video for an example of how it can be used by an
> interactive command, to show the path to the JSON element at point:
>
> http://folk.uio.no/simenheg/json-mode.webm

Hi Simen,

The video looks great, but the inline patch lacks indentation, and 
doesn't apply (dunno if the former is the cause of the latter). Please 
resend it as an attachment.

Without trying it, my main concern would be any performance regression 
to json-read (it's not particularly fast already). Have you done any 
benchmarking?

Splitting the new changes into new functions might be more optimal.